FROM openshift/golang-builder@sha256:ab1bfcb9d06b339cb767acb804e6aa82eb23cd0795e6f82af54e92c312a32777 AS builder
ENV __doozer=update BUILD_RELEASE=202202151117.p0.gfabfa8b.assembly.stream BUILD_VERSION=v4.6.0 OS_GIT_MAJOR=4 OS_GIT_MINOR=6 OS_GIT_PATCH=0 OS_GIT_TREE_STATE=clean OS_GIT_VERSION=4.6.0-202202151117.p0.gfabfa8b.assembly.stream SOURCE_GIT_TREE_STATE=clean 
ENV __doozer=merge OS_GIT_COMMIT=fabfa8b OS_GIT_VERSION=4.6.0-202202151117.p0.gfabfa8b.assembly.stream-fabfa8b SOURCE_DATE_EPOCH=1616171377 SOURCE_GIT_COMMIT=fabfa8b8d5c440d8f7732d76d03f73d210718c9f SOURCE_GIT_TAG=fabfa8b SOURCE_GIT_URL=https://github.com/openshift/cluster-resource-override-admission 

WORKDIR /go/src/github.com/openshift/cluster-resource-override-admission
COPY . .
RUN make build

FROM openshift/ose-base:v4.6.0.20220215.113753
ENV __doozer=update BUILD_RELEASE=202202151117.p0.gfabfa8b.assembly.stream BUILD_VERSION=v4.6.0 OS_GIT_MAJOR=4 OS_GIT_MINOR=6 OS_GIT_PATCH=0 OS_GIT_TREE_STATE=clean OS_GIT_VERSION=4.6.0-202202151117.p0.gfabfa8b.assembly.stream SOURCE_GIT_TREE_STATE=clean 
ENV __doozer=merge OS_GIT_COMMIT=fabfa8b OS_GIT_VERSION=4.6.0-202202151117.p0.gfabfa8b.assembly.stream-fabfa8b SOURCE_DATE_EPOCH=1616171377 SOURCE_GIT_COMMIT=fabfa8b8d5c440d8f7732d76d03f73d210718c9f SOURCE_GIT_TAG=fabfa8b SOURCE_GIT_URL=https://github.com/openshift/cluster-resource-override-admission 

COPY --from=builder /go/src/github.com/openshift/cluster-resource-override-admission/bin/cluster-resource-override-admission /usr/bin/

LABEL \
        io.k8s.display-name="OpenShift ClusterResourceOverride Admission Webhook" \
        io.k8s.description="Manages level of overcommit of Pod Resource(s)" \
        io.openshift.tags="openshift,clusterresourceoverride" \
        name="openshift/ose-clusterresourceoverride-rhel8" \
        com.redhat.component="ose-clusterresourceoverride-container" \
        io.openshift.maintainer.product="OpenShift Container Platform" \
        io.openshift.maintainer.component="Node" \
        release="202202151117.p0.gfabfa8b.assembly.stream" \
        io.openshift.build.commit.id="fabfa8b8d5c440d8f7732d76d03f73d210718c9f" \
        io.openshift.build.source-location="https://github.com/openshift/cluster-resource-override-admission" \
        io.openshift.build.commit.url="https://github.com/openshift/cluster-resource-override-admission/commit/fabfa8b8d5c440d8f7732d76d03f73d210718c9f" \
        version="v4.6.0"

